Skip to main content

Create file type

POSThttps://api.propexo.com/v1/file-types/

Create a file type for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    location_idstring

    The Propexo unique identifier for the location

    modelstring

    The Propexo data model (e.g. units, residents, applicants, etc.) for which you are attempting to upload a file

    Show 3 enum values
    unitsresidentsproperties
    namestring

    The name associated with the file type

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/file-types/
curl -X POST https://api.propexo.com/v1/file-types/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}